Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

Gumball

Members
  • Posts

    14
  • Joined

  • Last visited

Posts posted by Gumball

  1. Thanks everyone! Great stuff so far. I will sure read all of the stuff you guys linked to me.

     

    I started by the begining, with Jabelar's blog. So far I didn't have the chance to read much, but it seems to me the posts could have been organized in a more didatic order, from beginner to advanced, because that's how good knowledge is built: you lay out the foundations of basic knowledge upon which you stack layer after layer of come complex and advanced knowledge.

     

    The other thing I noticed about his blog posts is that there's no way of knowing for sure when he's talking about 1.8 or 1.7.10. I'm interested only in 1.7.10. And that will make it a little harder, cause I will have to follow the tutorial only to find out it doesn't work, and then try and find another one elsewhere. but hey, finding out ways of how not to build a light bulb, right?

     

    I'm sure I will learn a great deal from it and from all the rest of the resources you guys told me about. thanks again!

  2. The tutorials are outdated, at least the ones that cover the basics. I know a bit already, but I really wanted to do more. someday I want to do mobs with machines that use RF and consume fluids. maybe even multiblock structures. but I have to start learning.

     

    I'm not a complete noob. I have an intermediate java (not good at advanced topics like remoting, parallelism, database management, or weird stuff like closures and nested classes). I fully understand OOP , data structures, and all that.

     

    I know a bit about modding, mostly because I used to frequent this forum when I was little. I just want a good series of updated tutorials or good uncomplicated source codes to look at (ideally both tutorials and source codes). Any suggestions?

     

    Thanks.

  3. If you run the installer it will create a new version in the launcher and update the "Forge" profile to that new version. If you are using a different profile, change the version in the profile settings after running the installer.

     

    Thank you. It worked exactly as you said.

  4. Some mod (I think NEI) demands I install a newer version of Forge in order to work. I wanted to know if I can just run the WinInstaller of the new version or if I have to uninstall the old version somehow.

     

    These are informations that may be useful:

     

    I use Minecraft 1.7.10.

    My Forge Mod Loader version is 7.10.85.1291.

    The little private server I play in with my friends runs Forge Mod Loader version 7.99.4.1448.

    My local Forge version is (I think) 1.7.10-Forge10.13.2.1291\1.7.10-Forge10.13.2.1291-natives-70425939476642

    My Server Forge version is (I think) MinecraftForge v10.13.4.1448

     

    I get the following error message when trying to start my minecraft:

     

    Forge Mod Loader has found a problem with your minecraft installation

    The mods and versions listed bellow could not be found

    Forge : minimum version requires is 10.13.3

     

    The file 'ForgeModLoader-client-0.log' contains more information

     

    Thank you.

  5. fml-client-3.log:

    [09:06:46] [main/INFO] [FML/]: Forge Mod Loader version 7.2.211.1121 for Minecraft 1.7.2 loading
    [09:06:46] [main/INFO] [FML/]: Java is Java HotSpot(TM) Client VM, version 1.8.0_31, running on Windows 7:x86:6.1, installed at C:\Program Files (x86)\Java\jre1.8.0_31
    [09:06:46] [main/DEBUG] [FML/]: Java classpath at launch is C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\net\minecraftforge\forge\1.7.2-10.12.2.1121\forge-1.7.2-10.12.2.1121.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\net\minecraft\launchwrapper\1.9\launchwrapper-1.9.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\org\ow2\asm\asm-all\4.1\asm-all-4.1.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\org\scala-lang\scala-library\2.10.2\scala-library-2.10.2.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\org\scala-lang\scala-compiler\2.10.2\scala-compiler-2.10.2.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\java3d\vecmath\1.3.1\vecmath-1.3.1.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\net\sf\trove4j\trove4j\3.0.3\trove4j-3.0.3.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\com\ibm\icu\icu4j-core-mojang\51.2\icu4j-core-mojang-51.2.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\net\sf\jopt-simple\jopt-simple\4.5\jopt-simple-4.5.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\lzma\lzma\0.0.1\lzma-0.0.1.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\com\paulscode\codecjorbis\20101023\codecjorbis-20101023.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\com\paulscode\codecwav\20101023\codecwav-20101023.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\com\paulscode\libraryjavasound\20101123\libraryjavasound-20101123.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\com\paulscode\librarylwjglopenal\20100824\librarylwjglopenal-20100824.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\com\paulscode\soundsystem\20120107\soundsystem-20120107.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\io\netty\netty-all\4.0.10.Final\netty-all-4.0.10.Final.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\com\google\guava\guava\15.0\guava-15.0.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\org\apache\commons\commons-lang3\3.1\commons-lang3-3.1.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\commons-io\commons-io\2.4\commons-io-2.4.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\net\java\jinput\jinput\2.0.5\jinput-2.0.5.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\net\java\jutils\jutils\1.0.0\jutils-1.0.0.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\com\google\code\gson\gson\2.2.4\gson-2.2.4.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\com\mojang\authlib\1.3\authlib-1.3.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\org\apache\logging\log4j\log4j-api\2.0-beta9\log4j-api-2.0-beta9.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\org\apache\logging\log4j\log4j-core\2.0-beta9\log4j-core-2.0-beta9.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\org\lwjgl\lwjgl\lwjgl\2.9.0\lwjgl-2.9.0.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\libraries\org\lwjgl\lwjgl\lwjgl_util\2.9.0\lwjgl_util-2.9.0.jar;C:\Users\Phobos\AppData\Roaming\.minecraft\versions\1.7.2-Forge10.12.2.1121\1.7.2-Forge10.12.2.1121.jar
    [09:06:46] [main/DEBUG] [FML/]: Java library path at launch is C:\Users\Phobos\AppData\Roaming\.minecraft\versions\1.7.2-Forge10.12.2.1121\1.7.2-Forge10.12.2.1121-natives-6258571798367
    [09:06:46] [main/DEBUG] [FML/]: Enabling runtime deobfuscation
    [09:06:46] [main/DEBUG] [FML/]: Instantiating coremod class FMLCorePlugin
    [09:06:46] [main/DEBUG] [FML/]: Added access transformer class cpw.mods.fml.common.asm.transformers.AccessTransformer to enqueued access transformers
    [09:06:46] [main/DEBUG] [FML/]: Enqueued coremod FMLCorePlugin
    [09:06:46] [main/DEBUG] [FML/]: Instantiating coremod class FMLForgePlugin
    [09:06:46] [main/DEBUG] [FML/]: Added access transformer class net.minecraftforge.transformers.ForgeAccessTransformer to enqueued access transformers
    [09:06:46] [main/DEBUG] [FML/]: Enqueued coremod FMLForgePlugin
    [09:06:46] [main/DEBUG] [FML/]: All fundamental core mods are successfully located
    [09:06:46] [main/DEBUG] [FML/]: Discovering coremods
    [09:06:46] [main/INFO] [LaunchWrapper/]: Loading tweak class name cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
    [09:06:46] [main/INFO] [LaunchWrapper/]: Loading tweak class name cpw.mods.fml.common.launcher.FMLDeobfTweaker
    [09:06:46] [main/INFO] [LaunchWrapper/]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
    [09:06:46] [main/ERROR] [LaunchWrapper/]: Unable to launch
    java.util.ConcurrentModificationException
    at java.util.ArrayList$Itr.checkForComodification(Unknown Source) ~[?:1.8.0_31]
    at java.util.ArrayList$Itr.remove(Unknown Source) ~[?:1.8.0_31]
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:117) [launchwrapper-1.9.jar:?]
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.9.jar:?]
    

     

×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.